#MYSQL SERVER INSTALLATION
sudo apt update
sudo apt install mysql-server
sudo systemctl start mysql.service

sleep 2

cd /
sudo mkdir mysql_backup

#STEPS FOR MYSQL_SECURE_INSTALLATION
#STEP-1 sudo mysql
#STEP-2 ALTER USER 'root'@'localhost' IDENTIFIED WITH mysql_native_password BY 'SET_PASSWORD';
#STEP-3 exit;
#STEP-4 sudo sed -i "s/.*bind-address.*/bind-address = 0.0.0.0/" /etc/mysql/mysql.conf.d/mysqld.cnf
#STEP-5 sudo systemctl restart mysql
#STEP-6 mysql -u root -p
#STEP-7 ALTER USER 'root'@'localhost' IDENTIFIED WITH auth_socket; AND FOLLOW THE STEPS
#STEP-8 exit;
#STEP-9 sudo mysql_secure_installation;
#STEP-10 sudo mysql;
#STEP-11 mysql -u root -p
#STEP-12 "ENTER MYSQL PASSWORD THAT WAS SET IN STEP 2"
#STEP-13 CREATE USER '_username_'@'_desiredIP_' IDENTIFIED WITH mysql_native_password BY 'password';
#STEP-14 GRANT ALL PRIVILEGES ON *.* TO '_username_'@'_desiredIP_' WITH GRANT OPTION;
#STEP-15 FLUSH PRIVILEGES;

echo "Please enter password for mysql: "
read password
sudo mysql -u root -p${password} -e "ALTER USER 'root'@'localhost' IDENTIFIED WITH mysql_native_password BY '${password}';"
sudo sed -i "s/.*bind-address.*/bind-address = 0.0.0.0/" /etc/mysql/mysql.conf.d/mysqld.cnf
sudo systemctl restart mysql
echo "Please enter the IP address of app server: "
read IP
sudo mysql -u root -p${password} -e "CREATE USER 'root'@'${IP}' IDENTIFIED WITH mysql_native_password BY '${password}';";
sudo mysql -u root -p${password} -e "GRANT ALL PRIVILEGES ON *.* TO 'root'@'${IP}' WITH GRANT OPTION;"
sudo mysql -u root -p${password} -e "FLUSH PRIVILEGES;"

